Gecode::FlatZinc::MeritMaxCHBSize Class Reference

Select by maximal CHB over size. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMaxCHBSize (Space &home, const IntBoolVarBranch &ibvb)
| Constructor for initialization.
| MeritMaxCHBSize (Space &home, MeritMaxCHBSize &m)
| Constructor for cloning.
double | operator() (Int::IntView x, int i) const
| Return merit.
double | operator() (Int::BoolView x, int i) const
| Return merit.
void | dispose (void)
| Dispose.

## Protected Attributes

IntCHB | ichb
| Integer CHB information.
BoolCHB | bchb
| Boolean CHB information.

## Detailed Description

Select by maximal CHB over size.

Definition at line 226 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMaxCHBSize() [1/2]

Gecode::FlatZinc::MeritMaxCHBSize::MeritMaxCHBSize | ( | Space & | home,
|  | const IntBoolVarBranch & | ibvb )

inline

Constructor for initialization.

Definition at line 270 of file branch.hpp.

## MeritMaxCHBSize() [2/2]

Gecode::FlatZinc::MeritMaxCHBSize::MeritMaxCHBSize | ( | Space & | home,
|  | MeritMaxCHBSize & | m )

inline

Constructor for cloning.

Definition at line 273 of file branch.hpp.

## Member Function Documentation

## operator()() [1/2]

double Gecode::FlatZinc::MeritMaxCHBSize::operator() | ( | Int::IntView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 276 of file branch.hpp.

## operator()() [2/2]

double Gecode::FlatZinc::MeritMaxCHBSize::operator() | ( | Int::BoolView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 280 of file branch.hpp.

## dispose()

void Gecode::FlatZinc::MeritMaxCHBSize::dispose | ( | void |  | ) |

inline

Dispose.

Definition at line 284 of file branch.hpp.

## Member Data Documentation

## ichb

IntCHB Gecode::FlatZinc::MeritMaxCHBSize::ichb

protected

Integer CHB information.

Definition at line 229 of file branch.hh.

## bchb

BoolCHB Gecode::FlatZinc::MeritMaxCHBSize::bchb

protected

Boolean CHB information.

Definition at line 231 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/flatzinc/branch.hh
- gecode/flatzinc/branch.hpp